Nero Punished Miscreants

    @uni/caniuse
    TypeScript icon, indicating that this package has built-in type declarations

    1.0.7 • Public • Published

    canIUse

    npm

    判断 API 是否可用

    支持

    browser miniApp wechatMiniprogram bytedanceMicroApp baiduSmartProgram kuaiShouMiniProgram

    安装

    $ npm install @uni/caniuse --save

    or

    $ npm install @uni/apis --save

    示例

    import canIUse from '@uni/caniuse';
    
    // true
    canIUse('storage');
    // true
    canIUse('storage.getStorage');
    // false
    canIUse('storage.getStorageInfo');

    你也可以从大包引入:

    import {canIUse} from '@uni/apis';

    方法

    canIUse(options)

    参数

    成员 类型 描述 必选 默认值
    api string 用来测试的能力(一般为:包名.[方法名]) ✔️ -

    返回

    成员 类型 描述
    res boolean 为 true 时,表示 API 或包可用

    Keywords

    none

    Install

    npm i @uni/caniuse

    DownloadsWeekly Downloads

    3

    Version

    1.0.7

    License

    BSD-3-Clause

    Unpacked Size

    53.9 kB

    Total Files

    26

    Last publish

    Collaborators

    • bunko
    • rax-publisher